# Delete registered job

Marks an accessible registered job as deleted and queues permanent cleanup.

URL: /reference/jobs/deleteJob

## DELETE /v2/jobs/{job_id}

```json
{
  "openapi": "3.2.0",
  "info": {
    "title": "Delete registered job",
    "description": "Lingopal v2 public API for text translation, storage uploads, registered jobs, job workflows, and job outputs.",
    "version": "v2"
  },
  "servers": [
    {
      "url": "https://api.lingopal.ai"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    }
  ],
  "paths": {
    "/v2/jobs/{job_id}": {
      "delete": {
        "tags": [
          "Jobs"
        ],
        "summary": "Delete registered job",
        "description": "Marks an accessible registered job as deleted and queues permanent cleanup.",
        "operationId": "deleteJob",
        "security": [
          {
            "APIKeyHeader": []
          }
        ],
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Reusable registered job ID.",
              "title": "Job Id"
            },
            "description": "Reusable registered job ID."
          }
        ],
        "responses": {
          "202": {
            "description": "Job accepted for permanent cleanup.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DeleteJobResponse"
                }
              }
            }
          },
          "401": {
            "description": "Invalid authentication token."
          },
          "403": {
            "description": "Authentication credentials were not provided, or the authenticated account is restricted (detail.code: ACCOUNT_RESTRICTED)."
          },
          "404": {
            "description": "The requested resource was not found.",
            "content": {
              "application/json": {
                "example": {
                  "detail": "Job Not Found"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Jobs",
      "description": "Inspect registered job metadata and processing status."
    }
  ],
  "components": {
    "schemas": {
      "DeleteJobResponse": {
        "properties": {
          "job_id": {
            "type": "string",
            "title": "Job Id"
          },
          "status": {
            "type": "string",
            "const": "pending_purge",
            "title": "Status",
            "default": "pending_purge"
          }
        },
        "type": "object",
        "required": [
          "job_id"
        ],
        "title": "DeleteJobResponse"
      },
      "HTTPValidationError": {
        "properties": {
          "detail": {
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
          }
        },
        "type": "object",
        "title": "HTTPValidationError"
      },
      "ValidationError": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          },
          "input": {
            "title": "Input"
          },
          "ctx": {
            "type": "object",
            "title": "Context"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
